Bug 1719830 - dnf fails to do simple commands after adding epel-7
Summary: dnf fails to do simple commands after adding epel-7
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: librepo
Version: 8.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 8.0
Assignee: Michal Domonkos
QA Contact: Jan Blazek
URL:
Whiteboard:
: 1737160 (view as bug list)
Depends On:
Blocks: 1736822
TreeView+ depends on / blocked
 
Reported: 2019-06-12 15:59 UTC by Timm Bäder
Modified: 2019-08-20 06:14 UTC (History)
11 users (show)

Fixed In Version: librepo-1.10.3-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1736822 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Timm Bäder 2019-06-12 15:59:14 UTC
Description of problem:
After adding the epel-7 repository in a recent RHEL 8.1.0 compose (from Beaker), subsequent 'simple' commands fail with the following error message:

failed to open: /var/cache/dnf/epel-2b6dfc5904c26562/repodata/b9eef87c2326e4489b5dacaaa83a268a125c2ac9367638c04e5485dd3aaf4470-updateinfo.xml.zck

Version-Release number of selected component (if applicable):
[root@intel-brickland-02 ~]# dnf --version
4.2.6
  Installed: dnf-0:4.2.6-1.el8.noarch at Wed 12 Jun 2019 15:36:41 GMT
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at Mon 13 May 2019 13:12:19 GMT

  Installed: rpm-0:4.14.2-20.el8.x86_64 at Wed 12 Jun 2019 15:36:18 GMT
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at Thu 06 Jun 2019 05:43:52 GMT


How reproducible:
Always

Steps to Reproduce:
1.  dnf install -y https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
2. dnf update (for example)

Actual results:


Expected results:
That should just work as it did before IMO

Additional info:

Comment 2 Jaroslav Mracek 2019-07-08 09:02:45 UTC
I believe that the bug is related to: https://bugzilla.redhat.com/show_bug.cgi?id=1726141

Comment 10 Michal Domonkos 2019-08-05 11:52:33 UTC
*** Bug 1737160 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.